> ## Documentation Index
> Fetch the complete documentation index at: https://docs.valyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Filter Credit Notes

> Retrieves credit note data based on filters.



## OpenAPI

````yaml GET /external/creditNotes
openapi: 3.1.0
info:
  title: OpenAPI Valyx API
  description: To demonstrate features in the Valyx
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.valyx.com
security:
  - bearerAuth:
      - demo-api
tags:
  - name: billing
    description: External Billing APIs
  - name: external
    description: External APIs for customers
  - name: invoice
    description: Invoice APIs
  - name: creditNote
    description: Credit Note APIs
paths:
  /external/creditNotes:
    get:
      tags:
        - external
      summary: Handles GET requests for the /creditNotes route
      description: Retrieves credit note data based on filters.
      operationId: get_credit_note_routes
      parameters:
        - name: startDate
          in: query
          schema:
            type: string
          description: Fetch credit notes created on or after this date
        - name: endDate
          in: query
          schema:
            type: string
          description: Fetch credit notes created on or before this date
        - name: minAmount
          in: query
          schema:
            type: number
          description: Fetch credit notes with total amount >= this amount
        - name: maxAmount
          in: query
          schema:
            type: number
          description: Fetch credit notes with total amount <= this amount
        - name: creditNoteNumber
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Exact credit note numbers to search for
        - name: invoiceNumber
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Invoice number reference against which credit note was created
        - name: customerId
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Fetch credit notes only for these customers
        - name: ownerId
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Fetch credit notes only for these internal stakeholders
        - name: type
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Fetch credit notes which are of these types
        - name: status
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Fetch credit notes which are of these status
        - name: page
          in: query
          schema:
            type: integer
          description: Page number for pagination.
        - name: pageSize
          in: query
          schema:
            type: integer
          description: Page size for pagination.
        - name: currencies
          in: query
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
          description: Currencies
        - name: X-Valyx-Signature
          in: header
          required: true
          description: Auth key for fetching ledger entries
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties: {}
components: {}

````